-- Legacy Isolate Mode Script v1.0  3-30-2012
-- Due to a change in the Isolate Selection Tool in 3ds Max 2013 the standard Isolate is now only a toggle of on & off
-- This script is a functional example of how to use the current mode as well as the legacy mode
-- Thanks to Larry Minton on the new maxscript access commands and the functions
-- With this code example you can use the floater or use the code to create a keyboard shortcut 
-- for the legacy functionallity.
-- Author Kelly Michels, kelly.michels@autodesk.com

macroScript RolloutIsolate
    category:             "Isolate Legacy Tools"
    internalCategory:     "Isolate Legacy Tools"
    buttonText:           "RolloutIsolate"
    icon:                 #("Systems",2)
   tooltip:             "Isolate legacy Selection"
	
(
    local isolateFloater
	
	fn ToggleIsolateSelectionMode =
					(
					  if(IsolateSelection.IsolateSelectionModeActive()) then
						IsolateSelection.ExitIsolateSelectionMode()
					  else
						IsolateSelection.EnterIsolateSelectionMode()
					)
					
fn ExpandIsolateSelectionMode =
				(
				  if(IsolateSelection.IsolateSelectionModeActive()) then
					IsolateSelection.ExitIsolateSelectionMode()
				  IsolateSelection.EnterIsolateSelectionMode()
				)
	
    rollout IsolateRollout "Legacy Isolate" width:150 height:154
    (
        button  btnIsolate "Isolate 2013" pos:[20,10] width:100 height:20
        button btnIsolateDeeper "Legacy Mode" pos:[20,40] width:100 height:20
       
        on  btnIsolate pressed  do
        (
			ToggleIsolateSelectionMode()
        )
       
        on btnIsolateDeeper pressed  do
        (
   			ExpandIsolateSelectionMode()
		)
	)
    on Execute do
    (
        isolateFloater = NewRolloutFloater "Isolate Selection" 150 100
        addRollout IsolateRollout isolateFloater
    )
)

